kws_search_s Struct Reference

Implementation of KWS search structure. More...

`#include <kws_search.h>`

## Data Fields

ps_search_t | base
hmm_context_t * | hmmctx
| HMM context. More...
kws_detections_t * | detections
| Keyword spotting history.
kws_keyword_t * | keyphrases
| Keyphrases to spot.
int | n_keyphrases
| Keyphrases amount.
frame_idx_t | frame
| Frame index.
int32 | beam
int32 | plp
| Phone loop probability.
int32 | bestscore
| For beam pruning.
int32 | def_threshold
| default threshold for p(hyp)/p(altern) ratio
int32 | delay
| Delay to wait for best detection score.
int32 | n_pl
| Number of CI phones.
hmm_t * | pl_hmms
| Phone loop hmms - hmms of CI phones.

## Detailed Description

Implementation of KWS search structure.

Definition at line 70 of file kws_search.h.

## Field Documentation

hmm_context_t* kws_search_s::hmmctx

HMM context.

Definition at line 73 of file kws_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/kws_search.h